Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.options
Class CharTrimmer

    java.lang.Object
      com.servingxml.components.flatfile.options.CharTrimmer

    public abstract class CharTrimmer

extends java.lang.Object

Constructor Summary
`CharTrimmer()`

Method Summary
`abstract boolean` | `checkSpace(CharBuffer recordBuffer, CharArrayBuilder charArrayBuilder)`
`abstract boolean` | `checkWhitespace(CharBuffer recordBuffer, CharArrayBuilder charArrayBuilder)`
`abstract int` | `countLeadingWhitespace(char[] data, int start, int length)`
`abstract int` | `countTrailingWhitespace(char[] data, int start, int length)`
`boolean` | `isAllWhitespace(char[] data, int start, int length)`
`static CharTrimmer` | `newInstance()`
`abstract void` | `writeTo(RecordOutput recordOutput)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharTrimmer

    public CharTrimmer()

Method Detail

### writeTo

    public abstract void writeTo(RecordOutput recordOutput)

### checkSpace

    public abstract boolean checkSpace(CharBuffer recordBuffer,
                                       CharArrayBuilder charArrayBuilder)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### checkWhitespace

    public abstract boolean checkWhitespace(CharBuffer recordBuffer,
                                            CharArrayBuilder charArrayBuilder)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### countLeadingWhitespace

    public abstract int countLeadingWhitespace(char[] data,
                                               int start,
                                               int length)

### isAllWhitespace

    public boolean isAllWhitespace(char[] data,
                                   int start,
                                   int length)

### countTrailingWhitespace

    public abstract int countTrailingWhitespace(char[] data,
                                                int start,
                                                int length)

### newInstance

    public static CharTrimmer newInstance()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD